using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerShieldOn : MonoBehaviour {

    public static PlayerShieldOn instance;

	void Start () {
        MakeInstance();
	}

    void MakeInstance() {
        if (instance == null) {
            instance = this;
        }
    }
	
	void Update () {
		
	}

    void OnTriggerEnter2D(Collider2D collision) {
        if (collision.tag == "EnemyBullet")
        {
            Destroy(collision.gameObject);
        }
    }
}
